Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359732 - emacs: do not override 'frame-title-format'
Summary: emacs: do not override 'frame-title-format'
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 10:59 UTC by Enrico Scholz
Modified: 2017-12-12 10:29 UTC (History)
5 users (show)

Fixed In Version: emacs-25.1-0.2.rc1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:29:16 UTC


Attachments (Terms of Use)

Description Enrico Scholz 2016-07-25 10:59:23 UTC
Description of problem:

/usr/share/emacs/site-lisp/default.el contains

| (setq-default frame-title-format (concat "%b - emacs@" (system-name)))

This overrides any user setting in ~/.emacs and should be removed.

git log of default.el says that issue should be solved.  But the related commit 883764ae9a6cd2f690c00434ad668f8ab2d24c00 does not contain such a change.

See also #134520 (from 2004)


Version-Release number of selected component (if applicable):

emacs-25.0.95-1.fc23x.x86_64

Comment 1 Jan Synacek 2016-07-25 11:30:22 UTC
(In reply to Enrico Scholz from comment #0)
> Description of problem:
> 
> /usr/share/emacs/site-lisp/default.el contains
> 
> | (setq-default frame-title-format (concat "%b - emacs@" (system-name)))
> 
> This overrides any user setting in ~/.emacs and should be removed.
> 
> git log of default.el says that issue should be solved.  But the related
> commit 883764ae9a6cd2f690c00434ad668f8ab2d24c00 does not contain such a
> change.

Yes, it did remove it. The problem is that 0f6ddf4817445cce45ca01e9ed4d1f21a8f397d9 re-added it back, even though it says in the changelog that "Move frame-title-format default from .emacs to default.el (#716443)". There was no move, it was simply added back.

Anyway, I'm going to remove the default, as there is no reason to force it on the users and it hardly improves anything. The default was originally added in bz#128110, but the reason was really a matter of personal taste.

Comment 2 Jan Kurik 2016-07-26 04:28:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 3 Fedora Update System 2016-07-26 05:36:31 UTC
emacs-25.1-0.2.rc1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-34a8809303

Comment 4 Fedora Update System 2016-07-28 06:00:06 UTC
emacs-25.1-0.2.rc1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-34a8809303

Comment 5 Fedora Update System 2016-07-30 18:24:02 UTC
emacs-25.1-0.2.rc1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora End Of Life 2017-11-16 19:44:53 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-12-12 10:29:16 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.